The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add IVX details at Domain Level

Prev Next

This URL adds the details of the IVX appliance and IVX Cloud at Domain level.

Note

At any instance, you can choose to integrate either IVX or IVX Cloud with Trellix IPS, but not both of them together.

Resource URL

POST /VXIntegration/domain/<domain_id>/save

Request Parameters

Field Name

Description

Data Type

Mandatory

domain_id

Domain/sub-domain ID

Number

Yes

inherit

Are settings to be inherited to the sub-domains

Boolean

Yes

enabled

Is IVX integration enabled or disabled

Boolean

Yes

vxDetails

Details of the configured IVX appliances

Object

Yes

daasDetails

Details of the configured IVX Cloud

Object

Yes

Details of vxDetails:

Field Name

Description

Data Type

Mandatory

vxEnabled

Enable or disable IVX appliance integration

Boolean

Yes

vxInherit

Are IVX settings to be inherited from the parent domain

Boolean

Yes

clusterList

List of clusters

Array

Yes

Details of object in clusterList:

Field Name

Description

Data Type

Mandatory

vxListeningPort

Port that Trellix VX will listen for connections from Sensors

Number

Yes

vxEnableCertValidation

Enable or disable certificate validation

Boolean

Yes

vxEnableProxy

Enable or disable proxy for IVX communication

Boolean

Yes

brokerNodeList

List of broker nodes

Note

You can enter up to 5 broker nodes under the cluster if you are using Manager and Sensor that are on software version 11.1 Update 4 and above.

Note

You should enter only 1 broker node under the cluster if you are using a Manager which is on 11.1 Update 4 and Sensor which is prior to 11.1 Update 4.

Object

Yes

Details of brokerNodeList:

Field Name

Description

Data Type

Mandatory

vxIpAddress

IP address of the broker node

Note

If you are on a Sensor version prior to 11.1 Update 4, you need enter only IPv4 address of the single broker node.

String

Yes

vxUserName

Username for broker node authentication

String

Yes

vxPassword

Password for broker node authentication

String

Yes

Details of daasDetails:

Field Name

Description

Data Type

Mandatory

daasInherit

Are IVX Cloud settings to be inherited from the parent domain

Boolean

Yes

daasEnabled

Enable or disable IVX Cloud integration

Boolean

Yes

enableProxy

Enable or disable proxy for IVX Cloud communication

Boolean

Yes

listeningPort

Port that IVX Cloud will listen for connections from Sensors. The default port is 443 and this should not be changed.

Number

Yes

hostName

Host name for the IVX Cloud service. The default host name is feapi.marketplace.apps.fireeye.com and should not be changed.

String

Yes

apiKey

The API key to be used for authentication

String

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Status returned by addition

Number

Example

Request

POST https://<Manager_IP>/sdkapi/VXIntegration/domain/0/save

Payload:

{
    "inherit": false,
    "enabled": true,
    "vxDetails": {
        "vxEnabled": true,
        "vxInherit": false,
        "clusterList": [
            {
                "vxListeningPort": 443,
                "vxEnableCertValidation": false,
                "vxEnableProxy": true,
                "brokerNodeList": [
                    {
                        "vxIpAddress": "10.213.2.35",
                        "vxUserName": "admin",
                        "vxPassword": "admin123"
                    },
                    {
                        "vxIpAddress": "10.213.2.54",
                        "vxUserName": "admin",
                        "vxPassword": "admin123"
                    },
                    {
                        "vxIpAddress": "10.213.2.209",
                        "vxUserName": "admin",
                        "vxPassword": "admin123"
                    },
                    {
                        "vxIpAddress": "10.213.2.210",
                        "vxUserName": "admin",
                        "vxPassword": "admin123"
                    },
                    {
                        "vxIpAddress": "10.213.2.214",
                        "vxUserName": "admin",
                        "vxPassword": "admin123"
                    }
                ]
            }
        ]
    },
    "daasDetails": {
        "daasInherit": false,
        "daasEnabled": false,
        "enableProxy": false,
        "listeningPort": 443,
        "hostName": "feapi.marketplace.apps.fireeye.com",
        "apiKey": null,
    }
}

Response

{
"Status": 1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

400

1105

Invalid domain

2

404

3101

Cannot inherit setting for root domain